Bug 3596 - PBS missing check for relative directories
: PBS missing check for relative directories
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.0
: PC Linux
: P1 blocker
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-07-23 18:31 by
Modified: 2005-07-24 13:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-23 18:31:26
All the job manager scripts have a check for relative directories except for
pbs.pm.  I'm assuming this is an oversight and should be corrected, especially
since it allows WS scheduler test "submit208b" to pass.  Here is the diff of the
fix to pbs.pm:

--- pbs.in      9 Jun 2005 19:34:47 -0000       1.18.6.1
+++ pbs.in      23 Jul 2005 23:29:53 -0000
@@ -61,6 +61,10 @@
     {
        return Globus::GRAM::Error::RSL_DIRECTORY();
     }
+    if ($description->directory() =~ m|^[^/]|) {
+        $description->add("directory",
+                $ENV{HOME} . '/' . $description->directory());
+    }
     chdir $description->directory() or
         return Globus::GRAM::Error::BAD_DIRECTORY();
------- Comment #1 From 2005-07-24 13:33:39 -------
Fix committed to both HEAD and globus_4_0_branch.